io.undertow.server.handlers.proxy.mod_cluster

## Interface ModClusterStatus.Node

Enclosing interface:
  ModClusterStatus

    public static interface ModClusterStatus.Node

### Method Summary

All Methods Instance Methods Abstract Methods
`List<String>` `getAliases()`
`int` `getCacheConnections()`
`ModClusterStatus.Context` `getContext(String name)`
`List<ModClusterStatus.Context>` `getContexts()`
`String` `getDomain()`
`int` `getElected()`
`int` `getFlushWait()`
`String` `getJvmRoute()`
`int` `getLoad()`
`int` `getMaxConnections()`
`String` `getName()`
`int` `getOpenConnections()`
`int` `getPing()`
`long` `getRead()`
`int` `getRequestQueueSize()`
`NodeStatus` `getStatus()`
`int` `getTimeout()`
`long` `getTransferred()`
`long` `getTtl()`
`URI` `getUri()`
`boolean` `isFlushPackets()`
`boolean` `isQueueNewRequests()`
`void` `resetStatistics()`

### Method Detail

#### getName

    String getName()

#### getUri

    URI getUri()

#### getContexts

    List<ModClusterStatus.Context> getContexts()

#### getContext

    ModClusterStatus.Context getContext(String name)

#### getLoad

    int getLoad()

#### getStatus

    NodeStatus getStatus()

#### getOpenConnections

    int getOpenConnections()

#### getTransferred

    long getTransferred()

#### getRead

    long getRead()

#### getElected

    int getElected()

#### getCacheConnections

    int getCacheConnections()

#### getJvmRoute

    String getJvmRoute()

#### getDomain

    String getDomain()

#### getFlushWait

    int getFlushWait()

#### getMaxConnections

    int getMaxConnections()

#### getPing

    int getPing()

#### getRequestQueueSize

    int getRequestQueueSize()

#### getTimeout

    int getTimeout()

#### getTtl

    long getTtl()

#### isFlushPackets

    boolean isFlushPackets()

#### isQueueNewRequests

    boolean isQueueNewRequests()

#### getAliases

    List<String> getAliases()

#### resetStatistics

    void resetStatistics()